/build/static/layout/Breadcrumb_cap_w.png

Deploying Adobe Captivate 6

Adobe Captivate 6 is yet another broken application from your favourite company, at least when it comes to enterprise deployment.

Here is the way it needs to be done.

1. Grab the latest version of the Adobe Application Manager Enterprise Edition from the Adobe website (ie at least V3)

2. Create the "main" Captivate 6 install by pointing AAMEE at the Captivate 6 folder/Win32 or Win64 on the installation media. This creates an MSI installer in the location you nominate, along with some folders of necessary files.

3. Create the "Add Ons" install by pointing the AAMEE at the Add-ons/eLearning Assets  folder tree on the installation media.

Note that if you turn off the Adobe Update Manager in the configuration options, as is normal for locked down environments, you cannot run the VoicesInstaller.exe (another add-on) manually, as it is an "upgrade" in the Adobe world and you have just disabled them. However, since the VoicesInstaller.exe appears to be incapable of silent installation, and the assets1.zip file in the Voices subfolder is reported by AAMEE's upgrades generator function as an invalid ZIP file, there appears to be no way to deploy the voices using the source media.

So to deploy the voices, you need to perform a manual install of ALL the Captivate 6 components onto a test machine, and then, in the case of 32 bit installs, you need to harvest the C:\Program Files\Adobe\Adobe Captivate 6 (32 Bit)\VT folder which contains all the Voices, make this into an MSI and deploy it as the third package in the Captivate 'set'.

Incidentally, the Adobe Upgrade Manager is controlled in this manner:

Go to this location:

WinXp: C:\Program Files\Common Files\Adobe\AAMUpdaterInventory\1.0

There will be a AdobeUpdaterAdminPrefs.dat. Open this .dat file in notepad and then change the value from 1 to 0. Save.

Enjoy!

EdT


Comments

  • Hi, I am from Adobe Captivate team. Thanks for pointing this out. We have figured out the problem and it will be addressed very soon. You can contact me - asgarg at adobe dot com if you want more information. - ashishgarg 8 years ago
  • Hello,

    This issue has been addressed. If you download the voices installer now and use AAMEE 3.1, you will be able to create an installer. If you face any issues, then you can always contact me.

    ashish - ashishgarg 8 years ago
  • I agree with EdT. Although AAMEE 3.1 allows you to create add-ons (e.g. eLearning) once updates are disabled it still wouldn't recognise the Voices installer setup. The original installer was called VoiceInstaller.exe however this has been acknowledged by Adobe is incorrect. The new installer (AdobePatchInstaller.exe) still wasn't being recognised as a valid installer either so I manually installed NeoSpeech, extracted the VT folder and created an MSI from that. - scott_aa 8 years ago
  • Maybe I'm doing something wrong... but it looks like things have gotten worse in Captivate 7. Has anyone had any luck using AAMEE on it? If so, please see:
    http://www.itninja.com/question/adobe-captivate-7-has-anyone-successfully-automated-a-silent-install-for-this - joeostrander 8 years ago
This post is locked
 
This website uses cookies. By continuing to use this site and/or clicking the "Accept" button you are providing consent Quest Software and its affiliates do NOT sell the Personal Data you provide to us either when you register on our websites or when you do business with us. For more information about our Privacy Policy and our data protection efforts, please visit GDPR-HQ